From 4df746fe3ffd6678f36b16c9b0750fa552da92e4 Mon Sep 17 00:00:00 2001
From: Shaun Ruffell <sruffell@sruffell.net>
Date: Mon, 16 Nov 2020 22:01:21 -0600
Subject: [PATCH 09/12] Remove support for 32-bit userspace with 64-bit kernel

I am not aware of anyone who tests in this configuration, and I'm not
sure if it currently works. I'll remove any support for the time being
and can add it back in if someone comes forward needing support for it.

Signed-off-by: Shaun Ruffell <sruffell@sruffell.net>
---
 drivers/dahdi/dahdi-base.c | 34 ----------------------------------
 1 file changed, 34 deletions(-)

--- a/drivers/dahdi/dahdi-base.c
+++ b/drivers/dahdi/dahdi-base.c
@@ -7019,17 +7019,6 @@ static int dahdi_ioctl(struct inode *ino
 }
 #endif
 
-#ifdef HAVE_COMPAT_IOCTL
-static long dahdi_ioctl_compat(struct file *file, unsigned int cmd,
-		unsigned long data)
-{
-	if (cmd == DAHDI_SFCONFIG)
-		return -ENOTTY; /* Not supported yet */
-
-	return dahdi_unlocked_ioctl(file, cmd, data);
-}
-#endif
-
 /**
  * _get_next_channo - Return the next taken channel number from the span list.
  * @span:	The span with which to start the search.
@@ -10285,9 +10274,6 @@ static const struct file_operations dahd
 	.release = dahdi_release,
 #ifdef HAVE_UNLOCKED_IOCTL
 	.unlocked_ioctl  = dahdi_unlocked_ioctl,
-#ifdef HAVE_COMPAT_IOCTL
-	.compat_ioctl = dahdi_ioctl_compat,
-#endif
 #else
 	.ioctl   = dahdi_ioctl,
 #endif
@@ -10301,9 +10287,6 @@ static const struct file_operations dahd
 	.release = dahdi_timer_release,
 #ifdef HAVE_UNLOCKED_IOCTL
 	.unlocked_ioctl  = dahdi_timer_unlocked_ioctl,
-#ifdef HAVE_COMPAT_IOCTL
-	.compat_ioctl = dahdi_timer_unlocked_ioctl,
-#endif
 #else
 	.ioctl   = dahdi_timer_ioctl,
 #endif
@@ -10377,24 +10360,10 @@ static int nodev_ioctl(struct inode *ino
 }
 #endif
 
-#ifdef HAVE_COMPAT_IOCTL
-static long nodev_ioctl_compat(struct file *file, unsigned int cmd,
-		unsigned long data)
-{
-	if (cmd == DAHDI_SFCONFIG)
-		return -ENOTTY; /* Not supported yet */
-
-	return nodev_unlocked_ioctl(file, cmd, data);
-}
-#endif
-
 static const struct file_operations nodev_fops = {
 	.owner   = THIS_MODULE,
 #ifdef HAVE_UNLOCKED_IOCTL
 	.unlocked_ioctl  = nodev_unlocked_ioctl,
-#ifdef HAVE_COMPAT_IOCTL
-	.compat_ioctl = nodev_ioctl_compat,
-#endif
 #else
 	.ioctl   = nodev_ioctl,
 #endif
@@ -10409,9 +10378,6 @@ static const struct file_operations dahd
 	.release = dahdi_release,
 #ifdef HAVE_UNLOCKED_IOCTL
 	.unlocked_ioctl  = dahdi_unlocked_ioctl,
-#ifdef HAVE_COMPAT_IOCTL
-	.compat_ioctl = dahdi_ioctl_compat,
-#endif
 #else
 	.ioctl   = dahdi_ioctl,
 #endif
